import random
import warnings

DIRECTIONS = ['N', 'E', 'S', 'W']

class Location:

    def __init__(self, x, y, direction):
        self.x = x
        self.y = y
        self.direction = direction


class Rover:

    def __init__(self, x=None, y=None, direction=None):
        if all((x, y, direction)):
            self.location = Location(x, y, direction)
        else:
             warnings.warn("Landing at a random place")
             self.location = Location(random.randint(-10, 10),
                                      random.randint(-10, 10),
                                      DIRECTIONS[random.randint(0,
                                                 len(DIRECTIONS) - 1)])
